package error

import "fmt"

const (
	UserIDIsEmpty           = "PostID cannot be empty"
	UserIDToShort           = "PostID needs to be 25 characters long"
	SourceIDEmpty           = "SourceID cannot be empty"
	SourceIDToShort         = "SourceID needs to be 25 characters long"
	UserSourceIDEmpty       = "UserSourceID cannot be empty"
	UserSourceIDToShort     = "UserSourceID needs to be 25 characters long"
	TagIDEmpty              = "tagID cannot be empty"
	UserFavoriteListIsEmpty = "userFavoriteList cannot be empty"
	UserFavoriteIDIsEmpty   = "userFavoriteID cannot be empty"
	UserFavoriteIDToShort   = "UserFavoriteID needs to be 25 characters long"

	BatchSizeIsEmpty = "batchSize cannot be empty"
)

type EntityValidationFailed struct {
	Reason string
}

func (e EntityValidationFailed) Error() string {
	return fmt.Sprintf("Entity validation failed: %s", e.Reason)
}
